<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<LangVersion>latest</LangVersion>
		<Nullable>enable</Nullable>
		<TreatWarningsAsErrors>true</TreatWarningsAsErrors>
	</PropertyGroup>

	<ItemGroup>
		<Content Remove="NuGet.config" />
		<None Include="NuGet.config">
			<CopyToOutputDirectory>Never</CopyToOutputDirectory>
		</None>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="OpenIddict.Client" Version="6.4.0" />
		<PackageReference Include="OpenIddict.Client.AspNetCore" Version="6.4.0" />
		<PackageReference Include="OpenIddict.Client.DataProtection" Version="6.4.0" />
		<PackageReference Include="OpenIddict.Client.SystemNetHttp" Version="6.4.0" />
		<PackageReference Include="OpenIddict.Server.AspNetCore" Version="6.4.0" />
		<PackageReference Include="OpenIddict.Validation.DataProtection" Version="6.4.0" />
		<PackageReference Include="OpenIddict.Validation.SystemNetHttp" Version="6.4.0" />
		<PackageReference Include="Polly" Version="8.6.1" />
		<PackageReference Include="System.Text.Encodings.Web" Version="9.0.6" />
		<PackageReference Include="OpenIddict.Validation.AspNetCore" Version="6.4.0" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.Cookies" Version="2.3.0" />
		<PackageReference Include="OpenIddict.Abstractions" Version="6.4.0" />
		<PackageReference Include="System.Text.Json" Version="9.0.6" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.12.1" />
		<PackageReference Include="Microsoft.IdentityModel.Protocols.OpenIdConnect" Version="8.12.1" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="9.0.6" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.Abstractions" Version="2.3.0" />
		<PackageReference Include="Microsoft.AspNetCore.Cors" Version="2.3.0" />
		<PackageReference Include="Microsoft.Extensions.Hosting" Version="9.0.6" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="9.0.6" />
		<PackageReference Include="Microsoft.AspNetCore.DataProtection.StackExchangeRedis" Version="9.0.6" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="../Ablera.Serdica.Common.Tools/Ablera.Serdica.Common.Tools.csproj" />
	  <ProjectReference Include="../Ablera.Serdica.Extensions.Redis/Ablera.Serdica.Extensions.Redis.csproj" />
	</ItemGroup>

</Project>
